Page MenuHomePhabricator

Update Special:OAuthConsumerRegistration to use the new HTMLComboboxField rather than HTMLAutoCompleteSelectField
Closed, ResolvedPublic

Description

Update Special:OAuthConsumerRegistration to use the new HTMLComboboxField rather than HTMLAutoCompleteSelectField. HTMLAutoCompleteSelectField has no OOUI version, which makes it impossible to convert the form to OOUI (or rather, possible, but it looks like F2930741).

Event Timeline

matmarex created this task.Nov 8 2015, 2:58 PM
matmarex updated the task description. (Show Details)
matmarex raised the priority of this task from to Needs Triage.
matmarex claimed this task.
matmarex added a subscriber: matmarex.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 8 2015, 2:58 PM

Change 251825 had a related patch set uploaded (by Bartosz Dziewoński):
Use HTMLComboboxField on Special:OAuthConsumerRegistration

https://gerrit.wikimedia.org/r/251825

Jdforrester-WMF triaged this task as Normal priority.
matmarex lowered the priority of this task from Normal to Low.Dec 18 2015, 9:44 PM
matmarex lowered the priority of this task from Low to Lowest.Feb 29 2016, 7:13 PM

Change 251825 merged by jenkins-bot:
Use HTMLComboboxField on Special:OAuthConsumerRegistration

https://gerrit.wikimedia.org/r/251825

matmarex closed this task as Resolved.Mar 10 2016, 3:36 PM